## jp2kdecimator jp2kdecimator |

## Properties

gint | max-decomposition-levels | Read / Write
gint | max-layers | Read / Write

## Types and Values

struct | GstJP2kDecimator

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstJP2kDecimator

## Description

## Synopsis

### Element Information

plugin | jp2kdecimator
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/x-jpc

name | src
direction | source
presence | always
details | image/x-jpc

## Functions

## Types and Values

### struct GstJP2kDecimator

    struct GstJP2kDecimator;

## Property Details

### The `“max-decomposition-levels”` property

      “max-decomposition-levels” gint

Maximum number of decomposition levels to keep (-1 == all).

Flags: Read / Write

Allowed values: [G_MAXULONG,32]

Default value: -1

### The `“max-layers”` property

      “max-layers”               gint

Maximum number of layers to keep (0 == all).

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0